Rockwell KRACK Advisory for Stratix 5100

Friday, October 27, 2017 @ 02:10 PM gHale


Rockwell KRACK Advisory for Stratix 5100
Rockwell Automation is recommending patching the Stratix 5100 Wireless Access Point/Workgroup Bridge because it suffers from a reusing a nonce vulnerability, according to a report with ICS-CERT.

Rockwell Automation reports that the vulnerability affects the following s:

RELATED STORIES
SpiderControl Mitigates MicroBrowser Hole
Boston Scientific Mitigates Vulnerabilities
Holes in Progea Movicon SCADA/HMI
NXP Fixing Multiple Vulnerabilities

A wireless access point/workgroup bridge product, Stratix 5100 Version 15.3 JC1 and earlier suffer from the vulnerability, discovered by Mathy Vanhoef of the Katholieke Universiteit Leuven in Belgium. Public exploits are available.

Successful exploitation of this vulnerability may allow the attacker to operate as a “man-in-the-middle” between the device and the wireless network.

This vulnerability is not remotely exploitable. A high skill level is needed to exploit.

In the vulnerability, Key Reinstallation Attacks (“KRACK”) work against the four-way handshake of the WPA2 protocol. KRACK takes advantage of the retransmission of a handshake message to prompt the installation of the same encryption key every time it receives Message 3 from the access point. Retransmission of the handshake message from the access point occurs if a proper client acknowledgement is not received to the initial message; retransmission resets the nonce value and replay counter to their initial values. A malicious actor could force these nonce resets by replaying the appropriate handshake message, which could allow for injection and decryption of arbitrary packets, hijacking of TCP connections, injection of HTTP content, or replaying of unicast or multicast data frames on the targeted device.

CVE-2017-13082 is the case number assigned to this vulnerability, which has a CVSS v3 base score of 6.9.

The product sees action mainly in the critical manufacturing, energy, and water and wastewater systems sectors. It also sees use on a global basis.

Rockwell recommends all users patch the clients that connect to the Stratix 5100 WAP/WGB, and recommends contacting your supplier to get the most updated patch that is compatible with client devices. However, patching the client only protects the connection formed by that specific client. To protect all future clients that may be added to your system, Rockwell recommends patching the Stratix 5100 WAP/WGB when the firmware is available.

As new versions of firmware release, Rockwell will provide mitigation updates. For more information about these vulnerabilities, mitigation updates, and Rockwell’s general security guidelines, see Rockwell’s security advisory. A login is required to view the advisory.

Rockwell Automation also offers the following general security guidelines:
• Use trusted software, software patches, anti-virus/anti-malware programs, and interact only with trusted web sites and attachments.
• Block all traffic to EtherNet/IP or other CIP protocol-based devices from outside the Manufacturing Zone by blocking or restricting access to TCP and UDP Port 2222 and Port 44818 using proper network infrastructure controls, such as firewalls, Unified Threat Management (UTM) devices, or other security appliances. Click here for more information on TCP/UDP ports used by Rockwell Automation Products.
• Help minimize network exposure for all control system devices and/or systems, and confirm they are not accessible from the Internet.
• Locate control system networks and devices behind firewalls, and isolate them from the business network.
• When remote access is required, use secure methods, such as Virtual Private Networks (VPNs), recognizing that VPNs may have vulnerabilities and should be updated to the most current version available. Also recognize that a VPN is only as secure as the connected devices.



Leave a Reply

You must be logged in to post a comment.